package de.avatic.taricdb.model;

import java.time.LocalDate;

import org.springframework.data.annotation.Id;

import jakarta.validation.constraints.Size;


public class ConditionTypeDesc {

	@Id
    private Integer id;

    @Size(max = 2)
    private String lang;

    private String desc;

    private LocalDate descStartDate;


    public ConditionTypeDesc(String lang, String desc, LocalDate descStartDate) {
		this.lang = lang;
		this.desc = desc;
		this.descStartDate = descStartDate;
	}

	public Integer getId() {
        return id;
    }

    public void setId(final Integer id) {
        this.id = id;
    }

    public String getLang() {
        return lang;
    }

    public void setLang(final String lang) {
        this.lang = lang;
    }

    public String getDescc() {
        return desc;
    }

    public void setDesc(final String desc) {
        this.desc = desc;
    }

    public LocalDate getDescStartDate() {
        return descStartDate;
    }

    public void setDescStartDate(final LocalDate descStartDate) {
        this.descStartDate = descStartDate;
    }

}
